import { get,post } from "./index";

/**
 * 通过code获取图表详情
 * @param UniqueCode 
 */
export function apiChartInfoByCode(params){
    return get('/datamanage/chart_info/common/detail/from_unique_code',params)
}

/**
 * ETA图库列表（公用图库列表）
 * @param PageSize
 * @param CurrentIndex
 * @param ChartClassifyId
 * @param KeyWord
 * @param IsShowMe
 */
export function apiPubChartList(params){
    return get('/my_chart/chart/list',params)
}

/**
 * 通过id获取图表详情
 * @param ChartInfoId 
 * @param Calendar 
 * @param DateType
 * @param StartDate
 * @param EndDate
 */
export function apiChartInfoById(params){
    return get('/datamanage/chart_info/detail',params)
}

/**
 * 获取指标详情
 * @param EdbInfoId 
 * @param DateType  1:00年至今,2:10年至今,3:15年至今，4：21年至今，5:自定义时间
 * @param StartDate 
 * @param EndDate 
 * @param EdbInfoType 1:标准指标,0:领先指标
 * @param LeadValue 
 * @param LeadUnit 
 */
export function apiEDBInfo(params){
    return get('/datamanage/chart_info/edb_info/detail',params)
}

/**
 * 获取ETA图库分类数据
 */
export function apiETAChartClassifyList(){
    return get('/datamanage/chart_classify/items',{})
}

/**
 * ETA图库图表另存为
 * @param ChartInfoId
 * @param ChartClassifyId
 * @param ChartName
 */
export function apiETAChartSaveOther(params){
    return post('/datamanage/chart_info/copy',params)
}