// 报告模块
import { get,post } from "./index";


export default {
    /**
     * 获取报告列表
     * @param Frequency
     * @param ClassifyNameFirst
     * @param ClassifyNameSecond
     * @param KeyWord
     * @param MsgIsSend
     * @param State
     * @param StartDate
     * @param EndDate
     */
    getList:params=>{
        return get('/report/list',params)
    },
    /**
     * 获取报告分类
     * @param CurrentIndex
     * @param PageSize
     * @param KeyWord
     * @param HideDayWeek 1不显示晨报/周报
     */
    getClassifyList:params=>{
        return get('/classify/list',params)
    },
    /**
     * 删除报告
     * @param ReportIds
     */
    reportDel:params=>{
        return post('/report/delete',params)
    },
    /**
     * 周报校验音频
     * @param ReportId
     */
    weekReportValidAudio:params=>{
        return get('/report/CheckDayWeekReportChapterVideo',params)
    },
    /**
     * 发布报告
     * @param ReportIds 用,隔开
     */
    reportPublish:params=>{
        return post('/report/publish',params)
    },
    /**
     * 报告取消发布
     * @param ReportIds
     * @returns 
     */
    reportPublishCancle:params=>{
        return post('/report/publish/cancle',params)
    },
    /**
     * 同时推送客群和模板消息
     * @param ReportId
     * @returns 
     */
    reportMessageSend:params=>{
        return post('/report/sendMsg',params)
    },
    /**
     * 报告详情
     * @param ReportId
     */
    getReportDetail:params=>{
        return get('/report/detail',params)
    },
    /**
     * 获取章节列表
     * @param ReportId
     */
    getChapterList:params=>{
        return get('/report/getReportChapterList',params)
    },
    /**
     * 获取章节tag
     */
    getChapterTagList:()=>{
        return get('/report/getChapterTrendTag',{})
    },
    /**
     * 编辑章节标签
     * @param ReportChapterId
     * @param Trend
     */
    editChapterTrendTag:params=>{
        return post('/report/editChapterTrendTag',params)
    },
    /**
     * 获取章节详情
     * @param ReportChapterId
     */
    getChapterDetail:params=>{
        return get('/report/getDayWeekChapter',params)
    },
    /**
     * 编辑晨报周报
     * @param ReportId
     * @param Title
     * @param ReportType
     * @param CreateTime
     * @param Author
     */
    editDayWeekReport:params=>{
        return post('/report/editDayWeekReport',params)
    },
    /**
     * 发布晨报\周报
     * @param ReportId
     */
    publishDayOrWeekReport:params=>{
        return post('/report/publishDayWeekReport',params)
    },

    // 获取研报作者列表
    reportAuthorList:params=>{
        return get('/report/author',params)
    }
}
