// 英文报告模块
import { get,post } from "./index";

export default {
    /**
     * 获取报告列表
     * @param Frequency
     * @param ClassifyNameFirst
     * @param ClassifyNameSecond
     * @param KeyWord
     * @param EmailState
     * @param State
     * @param StartDate
     * @param EndDate
     */
    getList:params=>{
        return get('/english_report/list',params)
    },
    /**
     * 获取报告分类
     * @param CurrentIndex
     * @param PageSize
     * @param KeyWord
     */
    getClassifyList:params=>{
        return get('/english_report/classify/list',params)
    },
    /**
     * 删除报告
     * @param ReportIds
     */
    reportDel:params=>{
        return post('/english_report/delete',params)
    },
    /**
     * 发布报告
     * @param ReportIds 用,隔开
     */
    reportPublish:params=>{
        return post('/english_report/publish',params)
    },
    /**
     * 报告取消发布
     * @param ReportIds
     * @returns 
     */
    reportPublishCancle:params=>{
        return post('/english_report/publish/cancel',params)
    },
    /**
     * 报告详情
     * @param ReportId
     */
    getReportDetail:params=>{
        return get('/english_report/detail',params)
    },
    /**
     * 客户邮箱列表
     * @param CurrentIndex
     * @param PageSize
     * @param ListParam
     */
    getCustomEmailList:params=>{
        return get('/english_report/email/list',params)
    },
    /**
     * 批量群发邮件
     * @param ReportId
     * @param EmailIds
     * @param Theme
     */
    sendEmail:params=>{
        return post('/english_report/email/send',params)
    },
    /**
     * 邮件群发日志
     * @param ReportId
     * @param SendStatus -1-已发送；0-发送失败；1-发送成功
     * @param CurrentIndex
     * @param PageSize
     */
    sendEmailLogList:params=>{
        return get('/english_report/email/log_list',params)
    },
    /**
     * 邮件重新推送
     * @param ReportId
     * @param SendId 0则重发所有失败的
     */
    emailResend:params=>{
        return post('/english_report/email/resend',params)
    }
}