import { ref } from "vue";

const options = {
	toolbarButtons: [
		"insertImage",
		"insertVideo",
		"embedly",
		"insertFile",
		"textColor",
		"bold",
		"italic",
		"underline",
		"strikeThrough",
		"fontFamily",
		"fontSize",
		"color",
		"lineHeight",
		"align",
		"formatOL",
		"formatUL",
		"outdent",
		"indent",
		"quote",
		"insertTable",
		"insertHR",
		"undo",
		"redo",
	],
	height: 400,
	fontSize: ["12", "14", "16", "18", "20", "24", "28", "32", "36", "40"],
	
	fontSizeDefaultSelection: "16",
	theme: "dark", //主题
	placeholderText: "请输入内容",
	language: "zh_cn", //国际化
	imageUploadURL: import.meta.env.VITE_APP_API_URL + '/report/uploadImg', //上传url
	videoUploadURL: import.meta.env.VITE_APP_API_URL + '/report/uploadImg', //上传url
	fileUploadURL: import.meta.env.VITE_APP_API_URL + '/report/uploadImg', //上传url 更多上传介绍 请访问https://www.froala.com/wysiwyg-editor/docs/options
	imageDefaultWidth: false,
	quickInsertButtons: ['image', 'ul', 'ol'], //快速插入项
	toolbarVisibleWithoutSelection: true, //是否开启 不选中模式
	toolbarSticky: false, //操作栏是否自动吸顶
	saveInterval: 0,
	charCounterCount: false,
	reportloadding: false,
	lastsavetime: '',
	isAddEnter: false, //是否已经添加过
	timer: null,
	ischange: false,
	isPublishloading: false,
	events:{

	}
};

export function useInitFroalaEditor() {
	let FroalaEditorIns = ref(null);

	const initFroalaEditor = (el,opts) => {
		console.log(opts);
		options.height=opts?.height??500
		console.log(options);
		FroalaEditorIns.value = new FroalaEditor(el, options);
	};

	return {
		FroalaEditorIns,

		initFroalaEditor,
	}
}
